package app.furmeet.events.system

import android.os.Bundle
import androidx.annotation.CallSuper
import app.furmeet.events.system.schedule.managers.ScheduleManagerGetter


abstract class TranslatableAppCompatActivityWithScheduleServiceWrapped :
    TranslatableAppCompatActivity() {
    lateinit var scheduleManagerWrapper: ScheduleManagerGetter
    val scheduleManager get() = scheduleManagerWrapper[this]

    @CallSuper
    override fun onCreate(savedInstanceState: Bundle?) {
        scheduleManagerWrapper = ScheduleManagerGetter
        super.onCreate(savedInstanceState)
    }
}